---
metadata:
  - name: generator
    content: Diplodoc Platform v5.50.6
  - property: og:type
    content: article
  - property: article:section
    content: API reference
  - property: og:title
    content: Delete employee absences
  - property: article:tag
    content: Technical instructions
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/gaps/delete-gaps.md
  - https://yandex.ru/support/tracker/ru/api-ref/gaps/delete-gaps.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Delete employee absences

Use this request to delete one or more absence records by their IDs. Non-existent IDs are ignored without errors.

<div class="request_example method_delete yfm-clipboard">
    <p>DELETE</p>
    <pre><code>https://api.tracker.yandex.net/v3/gaps?gapIds=&lt;absence_ID&gt;</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

## Request format {#query}

Before making the request, [get access to the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

<!-- source: en/api-ref/_includes/query-admin.md -->
{% note info "" %}

You need [Administrator](https://yandex.ru/support/tracker/en/role-model.md#admin) rights to run this request.

{% endnote %}
<!-- endsource: en/api-ref/_includes/query-admin.md -->

To delete absence records, use an HTTP request with the `DELETE` method. Specify the record IDs in the request parameters.

```json translate=no
DELETE /v3/gaps?gapIds=<absence_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/api-ref/_includes/headings-no-body.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings-no-body.md -->

{% cut "Request parameters" %}

**Required parameters**

Parameter | Description | Data type
----- | ----- | -----
gapIds | IDs of the absence records to delete. You can pass multiple values separated by commas. The maximum number is 100, and the length of each ID must not exceed 128 characters | Array of strings

{% endcut %}

> Example: Delete multiple absence records
>
> - Uses the DELETE HTTP method.
> - Deletes two records with IDs `68340a1f2b4c1a3d5e7f9011` and `68340a1f2b4c1a3d5e7f9012`.
>
> ```json translate=no
> DELETE /v3/gaps?gapIds=68340a1f2b4c1a3d5e7f9011,68340a1f2b4c1a3d5e7f9012
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> X-Org-ID: 1234******
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/api-ref/_includes/answer-204.md -->
    If the request is successful, the API returns a response with code `204`.
    <!-- endsource: en/api-ref/_includes/answer-204.md -->

    The response body is missing.

- Request executed with error

    If the request wasn't successfully processed, the API returns a response with an error code:

    <!-- source: en/api-ref/_includes/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.ru/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/api-ref/_includes/answer-error-401.md -->

    <!-- source: en/api-ref/_includes/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/api-ref/_includes/answer-error-403.md -->

    <!-- source: en/api-ref/_includes/answer-error-422.md -->
    422
    :   JSON validation error, the request is rejected.
    <!-- endsource: en/api-ref/_includes/answer-error-422.md -->

    {% note info "" %}

    The `422` code is returned in the following cases:
    - The number of passed IDs exceeds 100.
    - The length of one of the IDs exceeds 128 characters.

    {% endnote %}

    <!-- source: en/api-ref/_includes/answer-error-500.md -->
    500
    :   Internal service error. Try again later.
    <!-- endsource: en/api-ref/_includes/answer-error-500.md -->

{% endlist %}